<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Info;

class InfoUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoUseCase
{
  use \Kufer\Web\KuferTools\Firma\KursUebersicht\KursDetails\KursDetailsBelegungAllowedTrait;

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_FA;
  }

  public static function getToolSectionId()
  {
    return 308;
  }

  protected function getMainReiterId()
  {
    return 336;
  }

  protected function getSubRechteNumber(): int
  {
    return 3;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    if (!parent::hasAccess($this->getMainReiterId())) {
      return false;
    }

    return true;
  }

  
}